ChartType (jCharts-0.7.5 API)
Keywords: org.jCharts.types.ChartType,ChartType class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jCharts.types
Class ChartType

    java.lang.Object
      |
      +--org.jCharts.types.IntType
            |
            +--org.jCharts.types.ChartType

All Implemented Interfaces:
  java.io.Serializable

public class ChartType
extends IntType

Chart IntType constants to be used on data sets to specify how they should be plotted.

See Also:
  Serialized Form

Field Summary
`static ChartType` | `AREA`
`static ChartType` | `AREA_STACKED`
`static ChartType` | `BAR`
`static ChartType` | `BAR_CLUSTERED`
`static ChartType` | `BAR_STACKED`
`static ChartType` | `LINE`
`static ChartType` | `POINT`
`static ChartType` | `SCATTER_PLOT`
`private boolean` | `stackedData`
`static ChartType` | `STOCK`

Fields inherited from class org.jCharts.types.IntType
``

Constructor Summary
`private` | `ChartType(int typeCode, boolean stackedData)`

Method Summary
`boolean` | `equals(ChartType chartType)` Returns flag indicating whether passed ChartType is equal to this one
`boolean` | `isStacked()` Returns flag indicating whether chart type has stacked data

Methods inherited from class org.jCharts.types.IntType
`getInt`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### BAR

    public static final ChartType BAR

### BAR_CLUSTERED

    public static final ChartType BAR_CLUSTERED

### BAR_STACKED

    public static final ChartType BAR_STACKED

### LINE

    public static final ChartType LINE

### POINT

    public static final ChartType POINT

### AREA

    public static final ChartType AREA

### AREA_STACKED

    public static final ChartType AREA_STACKED

### STOCK

    public static final ChartType STOCK

### SCATTER_PLOT

    public static final ChartType SCATTER_PLOT

### stackedData

    private boolean stackedData

Constructor Detail

### ChartType

    private ChartType(int typeCode,
                      boolean stackedData)

Method Detail

### isStacked

    public boolean isStacked()

  Returns flag indicating whether chart type has stacked data

  Returns:
    boolean

### equals

    public boolean equals(ChartType chartType)

  Returns flag indicating whether passed ChartType is equal to this one

  Returns:
    boolean

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD